Parsoid web service breaks text encoding on all edits made with VisualEditor to pages with non-ASCII characters
Closed, ResolvedPublic

Description

VE is breaking text encoding on *all* edits on fr.wp. Looks like UTF-8 is being intepreted as ISO-8859-2 or something.

Example edits:
https://fr.wikipedia.org/w/index.php?title=Tulle&curid=51555&diff=98030422&oldid=98028576
https://fr.wikipedia.org/w/index.php?title=Herv%C3%A9_Jolly&diff=prev&oldid=98030048


Version: unspecified
Severity: blocker

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz56583.
matmarex created this task.Via LegacyNov 4 2013, 8:16 PM
matmarex added a comment.Via ConduitNov 4 2013, 8:24 PM

Happens on other wikis too, including sv and pl.

matmarex added a comment.Via ConduitNov 4 2013, 8:50 PM
  • Bug 56584 has been marked as a duplicate of this bug. ***
matmarex added a comment.Via ConduitNov 4 2013, 8:51 PM

(gwicke restored working version of the code. Awaiting a post-mortem :) )

Catrope added a comment.Via ConduitNov 4 2013, 9:10 PM

This is fixed now that the Parsoid update has been reverted.

Jdforrester-WMF added a comment.Via ConduitNov 5 2013, 4:29 PM

Relabelling and moving to the correct component.

GWicke added a comment.Via ConduitNov 5 2013, 5:05 PM

Not that it matters, but there is no Apache involved here. Moved it to General.

bzimport added a comment.Via ConduitNov 6 2013, 8:19 AM

Wikifram wrote:

Why "Wikimedia"? It only happened to VE edits, so for the sake of being able to track bugs in VE editing (fixed and non-fixed, major and minor), I have moved this back to VisualEditor. Wikimedia is much too vague for this...

Jdforrester-WMF added a comment.Via ConduitNov 6 2013, 4:07 PM

Reverting. This was a bug with config, not with code, and so belongs in "Wikimedia". Also, it was a bug with Parsoid, not with VisualEditor.

bzimport added a comment.Via ConduitNov 7 2013, 12:15 PM

Wikifram wrote:

(In reply to comment #9)

Reverting. This was a bug with config, not with code, and so belongs in
"Wikimedia". Also, it was a bug with Parsoid, not with VisualEditor.

This means that people looking for VE bugs won't find it though; this may make sense from a devs point of view, but not from an editor's point of view. They encountered severe problems when editing with VE (and not with wikitext editing), but can't find that bug when searching VisualEditor bugs.

Take a look at the "search" box for Bugzilla; first is status, second is product; how many people trying to find info on this or similar bugs will look for "Wikimedia"?

Aklapper added a comment.Via ConduitNov 7 2013, 12:53 PM

Bugzilla is primarily a tool for developers and its primary classification is based on codebases (products and components).

matmarex added a comment.Via ConduitNov 7 2013, 2:13 PM

Let's just add "VisualEditor" to the summary to make this easier to find.

bzimport added a comment.Via ConduitNov 8 2013, 1:32 PM

Wikifram wrote:

Thank, Bartosz

Add Comment